Bug 67368 - find-lang.sh matches too many files
find-lang.sh matches too many files
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-rpm-config (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-23 14:07 EDT by David Nečas
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-28 10:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (434 bytes, patch)
2002-06-23 14:08 EDT, David Nečas
no flags Details | Diff

  None (edit)
Description David Nečas 2002-06-23 14:07:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
find-lang.sh uses following regexp to match .mo files for given PACKAGE_NAME
argument (called $NAME below)

\(.*/share/locale/\)\([^/_]\+\)\(.*'"$NAME"'\.mo$\)

so when called with argument `xxx', not only `xxx.mo' matches --
`abosulutely-anything-xxx.mo' matches too.  In my case `gimp-libgimp' was
matched as `gimp' package name.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Actual reproduction involves gimp package building in my case -- which has
enough other problems itself, so:

$ mkdir -p rootdir/usr/share/locale/en/LC_MESSAGES
$ touch rootdir/usr/share/locale/en/LC_MESSAGES/util-linux.mo
$ /usr/bin/rpm/find-lang.sh rootdir linux


Actual Results:  File linux.lang is created and it contains:

%defattr (644, root, root, 755)
%lang(en) /usr/share/locale/en/LC_MESSAGES/util-linux.mo


Expected Results:  linux.lang doesn't contain the second line (we asked for
`linux' not `util-linux').

Additional info:

A patch is included.
Comment 1 David Nečas 2002-06-23 14:08:13 EDT
Created attachment 62265 [details]
Patch
Comment 2 Jeff Johnson 2002-06-28 10:55:37 EDT
CHecked into CVS, should be in rpm-4.1-0.36 when built.

Thanks for the patch.
Comment 3 Elliot Lee 2002-07-11 14:46:21 EDT
put into redhat-rpm-config CVS

Note You need to log in before you can comment on or make changes to this bug.